> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer

> Admin: full customer detail with addresses, recent orders, wishlist.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/customers/{user_id}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/customers/{user_id}:
    get:
      tags:
        - admin
      summary: Get Customer
      description: 'Admin: full customer detail with addresses, recent orders, wishlist.'
      operationId: get_customer_api_v1_admin_customers__user_id__get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_CustomerDetailOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_CustomerDetailOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/CustomerDetailOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[CustomerDetailOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomerDetailOut:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        full_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Full Name
        is_active:
          type: boolean
          title: Is Active
        is_verified:
          type: boolean
          title: Is Verified
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        customer_group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Customer Group Id
        orders_count:
          type: integer
          title: Orders Count
          default: 0
        total_spent:
          type: number
          title: Total Spent
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        addresses:
          items:
            $ref: '#/components/schemas/AddressOut'
          type: array
          title: Addresses
          default: []
        recent_orders:
          items:
            $ref: '#/components/schemas/OrderSummaryOut'
          type: array
          title: Recent Orders
          default: []
        wishlist:
          items:
            $ref: >-
              #/components/schemas/app__modules__customers__schemas__WishlistItemOut
          type: array
          title: Wishlist
          default: []
      type: object
      required:
        - id
        - email
        - full_name
        - is_active
        - is_verified
        - avatar_url
        - created_at
        - updated_at
      title: CustomerDetailOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AddressOut:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          title: Type
        full_name:
          type: string
          title: Full Name
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        street:
          type: string
          title: Street
        street2:
          anyOf:
            - type: string
            - type: 'null'
          title: Street2
        city:
          type: string
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        postal_code:
          type: string
          title: Postal Code
        country:
          type: string
          title: Country
        is_default:
          type: boolean
          title: Is Default
      type: object
      required:
        - id
        - type
        - full_name
        - phone
        - street
        - street2
        - city
        - state
        - postal_code
        - country
        - is_default
      title: AddressOut
    OrderSummaryOut:
      properties:
        id:
          type: string
          title: Id
        status:
          type: string
          title: Status
        payment_status:
          type: string
          title: Payment Status
        total:
          type: number
          title: Total
        currency:
          type: string
          title: Currency
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - status
        - payment_status
        - total
        - currency
        - created_at
      title: OrderSummaryOut
    app__modules__customers__schemas__WishlistItemOut:
      properties:
        id:
          type: string
          title: Id
        product_id:
          type: string
          title: Product Id
        product_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Name
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - product_id
        - created_at
      title: WishlistItemOut
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````